Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class LinkArgument

- org.codehaus.groovy.tools.groovydoc.LinkArgument

- Represents a link pair (href, packages). The packages are comma separated.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `String` | `getHref()` Get the href attribute.
    `` | `String` | `getPackages()` Get the packages attribute.
    `` | `void` | `setHref(String hr)` Set the href attribute.
    `` | `void` | `setPackages(String packages)` Set the packages attribute.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### public String getHref()

      Get the href attribute.

      Returns:
        the href attribute.

    - #### public String getPackages()

      Get the packages attribute.

      Returns:
        the packages attribute.

    - #### public void setHref(String hr)

      Set the href attribute.

      Parameters:
        `hr` - a `String` value representing the URL to use for this link

    - #### public void setPackages(String packages)

      Set the packages attribute.

      Parameters:
        `packages` - the comma separated package prefixes corresponding to this link